//------------------------------------------------------------------------------
//
//  npgldraw.h
//  ANTZ application based on npe
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------
#ifndef NPGLDRAW_H_
#define NPGLDRAW_H_

//#include "../glfw.h"
//#include <freeglut.h>


#include "../../data/nptypes.h"


//--- Functions ----------------------------------------------------------------

void npInitGLDraw (void* dataRef);
void npCloseGLDraw (void* dataRef);

void npDrawPlots (void* dataRef);
void npDrawHUD (void* dataRef);

void SetIndexColor (NPubyteRGBA *color, int *colorIndex);

void IDtoRGB( int id, int* r, int* g, int* b );				//MB zz
int RGBtoID( int r, int g, int b );
void PickPass( int picking );								//MB zz end
int npGetPickPass();

#endif